# Class pyglet.clock.ClockDisplay

Display current clock values, such as FPS.

This is a convenience class for displaying diagnostics such as the framerate. See the module documentation for example usage.

## Methods

| __init__(self, font=None, interval=0.25, format=`'``%(fps).2f``'`, color=`(`0.5`,` 0.5`,` 0.5`,` 0.5`)`, clock=None) Create a ClockDisplay.
| unschedule(self) Remove the display from its clock's schedule.
| update_text(self, dt=0) Scheduled method to update the label text.
| draw(self) Method called each frame to render the label.

## Instance Variables

pyglet.font.Text | label The label which is displayed.

## Method Details

### __init__

(Constructor) __init__(self, font=None, interval=0.25, format=`'``%(fps).2f``'`, color=`(`0.5`,` 0.5`,` 0.5`,` 0.5`)`, clock=None)

Create a ClockDisplay.

All parameters are optional. By default, a large translucent font will be used to display the FPS to two decimal places.

Parameters:
  font : pyglet.font.Font
    The font to format text in.
  interval : float
    The number of seconds between updating the display.
  format : str
    A format string describing the format of the text. This string is modulated with the dict `{'fps' : fps}`.
  color : 4-tuple of float
    The color, including alpha, passed to `glColor4f`.
  clock : Clock
    The clock which determines the time. If None, the default clock is used.

### unschedule

unschedule(self)

Remove the display from its clock's schedule.

ClockDisplay uses Clock.schedule_interval to periodically update its display label. Even if the ClockDisplay is not being used any more, its update method will still be scheduled, which can be a resource drain. Call this method to unschedule the update method and allow the ClockDisplay to be garbage collected.

Since: pyglet 1.1